/*
 * Eufruncio - El gusanito comefichas
 * Copyright (C) 2003-2004 Sebastin Galiano, Milton Pividori, Csar Sandrigo
 * 
 * This file is part of Eufruncio.
 * 
 * Eufruncio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Eufruncio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Eufruncio; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/************************************************************************************************
  Escribe en pantalla con letras grandes el nombre del juego
************************************************************************************************/

void DibujarNombreJuego(char Fila)
{
  
  /* Imprimimos el texto */
  textcolor(GREEN);
  Centrar(Fila,"################################################################################"); Fila+=2;
  textcolor(LIGHTRED);
  Centrar(Fila,"######## ##    ## ####### #######  ##    ## ##     ##   ###### ######   ####  "); Fila++;
  Centrar(Fila,"##       ##    ## ##      ##    ## ##    ## ###    ##  ##        ##   ##    ##"); Fila++;
  Centrar(Fila,"##       ##    ## ##      ##    ## ##    ## ## #   ## ##         ##   ##    ##"); Fila++;
  Centrar(Fila,"######## ##    ## ####### ######   ##    ## ##  #  ## ##         ##   ##    ##"); Fila++;
  Centrar(Fila,"##       ##    ## ##      ##  ##   ##    ## ##   # ## ##         ##   ##    ##"); Fila++;
  Centrar(Fila,"##       ##    ## ##      ##   ##  ##    ## ##    ###  ##        ##   ##    ##"); Fila++;
  Centrar(Fila,"########  #####   ##      ##    ##  ######  ##     ##   ###### ######   ####  "); Fila+=2;
  textcolor(GREEN);
  Centrar(Fila,"################################################################################"); Fila+=2;
  textcolor(CYAN);


  Centrar(Fila,"####### #          #####  #     #  #####     #    #     # ### ####### ######");Fila++;
  Centrar(Fila,"#       #         #     # #     # #     #   # #   ##    #  #     #    #    #");Fila++;
  Centrar(Fila,"#       #         #       #     # #        #   #  # #   #  #     #    #    #");Fila++;
  Centrar(Fila,"#####   #         #  #### #     #  #####  #     # #  #  #  #     #    #    #");Fila++;
  Centrar(Fila,"#       #         #     # #     #       # ####### #   # #  #     #    #    #");Fila++;
  Centrar(Fila,"#       #         #     # #     # #     # #     # #    ##  #     #    #    #");Fila++;
  Centrar(Fila,"####### ######     #####   #####   #####  #     # #     # ###    #    ######");Fila+=2;  
  Centrar(Fila,"  #####  ####### #     # ####### ####### ###  #####  #     #    #     ##### ");Fila++;
  Centrar(Fila," #     # #     # ##   ## #       #        #  #     # #     #   # #   #     #");Fila++;
  Centrar(Fila," #       #     # # # # # #       #        #  #       #     #  #   #  #      ");Fila++;
  Centrar(Fila," #       #     # #  #  # #####   #####    #  #       ####### #     #  ##### ");Fila++;
  Centrar(Fila," #       #     # #     # #       #        #  #       #     # #######       #");Fila++;
  Centrar(Fila," #     # #     # #     # #       #        #  #     # #     # #     # #     #");Fila++;
  Centrar(Fila,"  #####  ####### #     # ####### #       ###  #####  #     # #     #  ##### ");Fila+=2;
  textcolor(GREEN);
  Centrar(Fila,"################################################################################");  
}



/************************************************************************************************
  Presenta una caricatura del gusano Eufruncio en pantalla
************************************************************************************************/

void DibujarGusanito(char Fila)
{

  textcolor(CYAN);
  Centrar(Fila,"                       _,-------. "); Fila++;
  Centrar(Fila,"                   ,'          `. "); Fila++;
  Centrar(Fila,"                  ;              ;"); Fila++;
  Centrar(Fila,"         ,-''`-. ;,---._         ;"); Fila++;
  Centrar(Fila,"        ;  ,-. ,'_      `.       ;"); Fila++;
  Centrar(Fila,"        ;  ;_;;;' ;      ;      ; "); Fila++;
  Centrar(Fila,"        `.    ;`-'       ;      ; "); Fila++;
  Centrar(Fila,"          `-,''.        ,'     ;  "); Fila++;
  Centrar(Fila,"        _,-'    `-.__,-'      ;   "); Fila++;
  Centrar(Fila," _,,---'                     ;    "); Fila++;
  Centrar(Fila," `.                         ;     "); Fila++;
  Centrar(Fila,"  ;`.                      ;      "); Fila++;
  Centrar(Fila,"  ;  `.                   ;       "); Fila++;
  Centrar(Fila,"  ;.   `.       ;        ;        "); Fila++;
  Centrar(Fila,"   ;     `.     ;       ;         "); Fila++;   
  Centrar(Fila,"   ;       `-.. ;      ;          "); Fila++;
  Centrar(Fila,"   ;           ,'     ;           "); Fila++;
  Centrar(Fila,"   ;                  ;           "); Fila++;
  Centrar(Fila,"    ;                ;            "); Fila++;
  Centrar(Fila,"    ;                ;            "); Fila++;
  Centrar(Fila,"    ;               ;             "); Fila++;
  Centrar(Fila,"     ; --.          ;             "); Fila++;
  Centrar(Fila,"     ; .___         ;             "); Fila++;
  Centrar(Fila,"      ;    '--..   ;              "); Fila++;
  Centrar(Fila,"      ; '--..      ;              "); Fila++;
  Centrar(Fila,"       ;_    '''   ;              "); Fila++;
  Centrar(Fila,"        ;'''-._    ;              "); Fila++;
  Centrar(Fila,"        ;-.._      ;              "); Fila++;
  Centrar(Fila,"        ;_   '''   ;              "); Fila++;  
  Centrar(Fila,"        ; '- .     ;              "); Fila++;    

}



/************************************************************************************************
  Subrutina principal del archivo. Muestra la introduccin.
************************************************************************************************/

void Intro(void)
{
  /* Variable auxiliar local */
  char Fila;
  
  /* Hacemos una breve presentacin */
  textbackground(BLACK); textcolor(DARKGRAY); clrscr();
  Centrar(25, "Bienvenido al super-juego de..."); delay(500);
  
  /* Animamos el texto */
  gotoxy(1,50);
  for(Fila=0; Fila<18; Fila++)
  {
    cprintf("\n");
    sound(Fila*100); delay(100); nosound();
  }
  sound(20); delay(800); nosound();
    
  /* Mostramos el nombre del juego en grande */
  DibujarNombreJuego(13);  
  
  /* Pedimos que se pulse una tecla para continuar */
  textcolor(DARKGRAY);
  while (!kbhit())
  {
    Centrar(49,"Presione una tecla para continuar..."); delay(500);
    Centrar(49,"                                    "); delay(500);    
  }

  /* Esperamos que se pulse una tecla */
  getch(); ;
  
  /* Borramos la pantalla */
  clrscr();
  
  /* Vaciamos el buffer del teclado */
  fflush(stdin);

}



/************************************************************************************************
  Muestra los crditos del juego
************************************************************************************************/

void Creditos(void)
{
  char Fila=23;

  /* Borramos la pantalla */
  textbackground(BLACK); clrscr();
  
  /* Escribimos el texto */
  textcolor(GREEN);
  Centrar(Fila,"################################################################################"); Fila+=2;
  textcolor(LIGHTRED);
  Centrar(Fila,"######## ##    ## ####### #######  ##    ## ##     ##   ###### ######   ####  "); Fila++;
  Centrar(Fila,"##       ##    ## ##      ##    ## ##    ## ###    ##  ##        ##   ##    ##"); Fila++;
  Centrar(Fila,"##       ##    ## ##      ##    ## ##    ## ## #   ## ##         ##   ##    ##"); Fila++;
  Centrar(Fila,"######## ##    ## ####### ######   ##    ## ##  #  ## ##         ##   ##    ##"); Fila++;
  Centrar(Fila,"##       ##    ## ##      ##  ##   ##    ## ##   # ## ##         ##   ##    ##"); Fila++;
  Centrar(Fila,"##       ##    ## ##      ##   ##  ##    ## ##    ###  ##        ##   ##    ##"); Fila++;
  Centrar(Fila,"########  #####   ##      ##    ##  ######  ##     ##   ###### ######   ####  "); Fila+=2;
  textcolor(GREEN);
  Centrar(Fila,"################################################################################"); Fila+=2;
        
  /* Retardamos la ejecucin para que se pueda leer */
  delay(250);
  
  /* Animamos el texto */
  gotoxy(1,50);
  for(Fila=0; Fila<20; Fila++)
  {
    cprintf("\n");
    sound(Fila*50); delay(150); nosound();
  }
  sound(10); delay(100); nosound();

  /* Mostramos la caricatura del gusano */
  DibujarGusanito(16);  
 
  /* Imprimimos la barra inferior */
  textcolor(GREEN);   
  Centrar(49,"################################################################################");
  
  /* Retardamos la ejecucin */
  delay(3000);
  
  /* Crditos */
  textbackground(BLACK); textcolor(DARKGRAY); clrscr(); 
  Centrar(4, "El juego de...");
  DibujarNombreJuego(8);
  textcolor(DARKGRAY);
  Centrar(40, "... fue programado en su totalidad por:");
  Centrar(42, "Galiano, Sebastin"); textcolor(LIGHTGRAY); cprintf(" <seba_263@hotmail.com>");
  textcolor(DARKGRAY);
  Centrar(43, "Pividori, Milton"); textcolor(LIGHTGRAY); cprintf(" <miltondp85@yahoo.com.ar>");
  textcolor(DARKGRAY);
  Centrar(44, "Sandrigo, Csar"); textcolor(LIGHTGRAY); cprintf(" <cesarsandrigo@argentina.com>");
  textcolor(DARKGRAY);
  Centrar(46, " Para la ctedra 'Algoritmos y Estructuras de Datos' ");
  Centrar(47," de la carrera 'Ingeniera en Sistemas de Informacin' ");
  Centrar(49, "  Santa Fe de la Vera Cruz, Febrero de 2004  ");
    
  /* Borramos la pantalla */
  getch(); clrscr();
  
  /* Vaciamos el buffer del teclado */
  fflush(stdin);  

}

